System.Data 2.0.0.0 System.Object System.Data.SqlTypes.INullable System.Runtime.Serialization.ISerializable System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlSchemaProvider("GetXsdType") To be added.

Represents a mutable reference type that wraps either a or a .

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor

  If a null reference is passed in, the instance is set to null.

  Initializes a new instance of the class based on the specified byte array.

  The array of unsigned bytes.
  2.0.0.0
- Constructor

  If a null reference is passed in, the instance is set to null.

  Initializes a new instance of the class based on the specified value.

  A value.
  2.0.0.0
- Constructor

  If a null reference is passed in, the instance is set to null.

  Initializes a new instance of the class based on the specified value.

  A .
  2.0.0.0
- Property
  2.0.0.0
  System.Byte[] To be added.

  Returns a null reference for null value .

  Throws an for stream-wrapped instances of .

  Returns a reference to the internal buffer.

- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string that indicates the XSD of the specified XmlSchemaSet.

  A .
- Property
  System.Boolean To be added.

  The default value is false.

  Gets a Boolean value that indicates whether this is null.

  2.0.0.0
- Property
  2.0.0.0
  System.Byte `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Int64 To be added.

  The default value is 0.

  Gets the length of the value that is contained in the instance.

- Property
  2.0.0.0
  System.Int64 To be added.

  The default value is 0.

  Gets the maximum length of the value of the internal buffer of this .

- Property
  2.0.0.0
  System.Data.SqlTypes.SqlBytes To be added. To be added.

  Returns a null instance of this .

- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBytes `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBinary `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Int64 `` `` `` ``

  If an attempt is made to read beyond , an exception is thrown.

  If specifies more bytes to be copied than are available from the to the end of the value, only the available bytes are copied.

  An exception is thrown if the destination buffer is a null reference.

  An exception is thrown if the destination buffer cannot receive as many characters as requested.

  Copies bytes from this instance to the passed-in buffer and returns the number of copied bytes.

  An long value representing the number of copied bytes.

  An long value offset into the value that is contained in the instance. The byte array buffer to copy into. An integer offset into the buffer to start copying into. An integer representing the number of bytes to copy.
- Method
  2.0.0.0
  System.Void ``

  This method will trigger an internal conversion to a managed buffer for an instance built on top of an unmanaged buffer.

  Sets the length of this instance.

  The long value representing the length.
- Method
  2.0.0.0
  System.Void To be added.

  Sets this instance to null.

- Property
  2.0.0.0
  System.Data.SqlTypes.StorageState To be added. To be added.

  Returns information about the storage state of this instance.

- Property
  2.0.0.0
  System.IO.Stream To be added.

  Getting or setting the property loads all the data into memory. Using it with large value data can cause an .

  Gets or sets the data of this as a stream.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Gets serialization information with all the data needed to reinstantiate this instance.

  The object to be populated with serialization information. The destination context of the serialization.
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  2.0.0.0
  System.Data.SqlTypes.SqlBinary To be added.

  Constructs and returns a from this instance.

  A from this instance.

- Property
  2.0.0.0
  System.Byte[] To be added.

  Returns a null reference for null value .

  Returns a managed copy of the value held by this .

- Method
  2.0.0.0
  System.Void `` `` `` ``

  If this operation writes to a position beyond but within , is updated to reflect the new ending position.

  The value of must be less than or equal to . An exception is thrown otherwise. Only a value of 0 can be specified when writing to a null value instance.

  If an attempt is made to write beyond , an exception is thrown.

  Copies bytes from the passed-in buffer to this instance.

  An long value offset into the value that is contained in the instance. The byte array buffer to copy into. An integer offset into the buffer to start copying into. An integer representing the number of bytes to copy.